#include <odemx/odemx.h>
#include <vector>


#include <iostream>
using namespace std;


class SimpleProcess: public odemx::base::Process {
	public:
		SimpleProcess (odemx::base::Simulation& sim):
			odemx::base::Process (sim, "A simple process")
		{}

		int main () {
			cout << getSimulation().getTime () << endl;

			holdFor (1);
			cout << getSimulation().getTime () << endl;
			return 0;
		}
};

int main () {
	odemx::base::Simulation& sim = odemx::getDefaultSimulation();

	SimpleProcess sp (sim);

	sp.activate ();

	sim.run ();
	return 0;
}
